<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@00334B=C7</action>
    </script>
  </cheat>

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pb@006A73=0A</action>
    </script>
  </cheat>

  <cheat desc="Hit Anywhere (Both Players)">
    <script state="on">
      <action>temp0 =maincpu.ow@862530</action>
      <action>temp1 =maincpu.ow@862538</action>
      <action>temp2 =maincpu.ow@862542</action>
    </script>
    <script state="run">
      <action>maincpu.ow@862530=4E71</action> <!-- This ROM cheat was made by nolberto82 -->
      <action>maincpu.ow@862538=4E71</action>
      <action>maincpu.ow@862542=4E71</action>
    </script>
    <script state="off">
      <action>maincpu.ow@862530=temp0 </action>
      <action>maincpu.ow@862538=temp1 </action>
      <action>maincpu.ow@862542=temp2 </action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pb@0065EF=93</action>
    </script>
  </cheat>

  <cheat desc="Drain All Energy Now! PL1">
    <script state="on">
      <action>maincpu.pb@0065EF=00</action>
    </script>
  </cheat>

  <cheat desc="Stuned After 1 Hit PL1">
    <script state="run">
      <action>maincpu.pb@00661B=05</action>
    </script>
  </cheat>

  <cheat desc="Never Stuned PL1">
    <script state="run">
      <action>maincpu.pb@00661B=00</action>
    </script>
  </cheat>

  <cheat desc="Set Wins = 1 Now! PL1">
    <script state="on">
      <action>maincpu.pb@0065F5=01</action>
    </script>
  </cheat>

  <cheat desc="Set Wins = 0 Now! PL1">
    <script state="on">
      <action>maincpu.pb@0065F5=00</action>
    </script>
  </cheat>

  <cheat desc="Select Character PL1">
    <parameter>
      <item value="0x00">Hellhound</item>
      <item value="0x01">Freon</item>
      <item value="0x02">Tempest</item>
      <item value="0x03">Tremor</item>
      <item value="0x04">Razor</item>
      <item value="0x05">Fallout</item>
      <item value="0x06">Mirage</item>
      <item value="0x07">Talon</item>
      <item value="0x08">Dementia</item>
      <item value="0x09">Golem</item>
      <item value="0x0A">Ratchet</item>
      <item value="0x0B">Wraith</item>
      <item value="0x0C">Sin</item>
      <item value="0x0D">Craniac</item>
      <item value="0x0E">Shadow</item>
      <item value="0x0F">Blood</item>
      <item value="0x10">Chainsaw</item>
      <item value="0x11">Nekron</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@0065F4=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>maincpu.pb@006779=93</action>
    </script>
  </cheat>

  <cheat desc="Drain All Energy Now! PL2">
    <script state="on">
      <action>maincpu.pb@006779=00</action>
    </script>
  </cheat>

  <cheat desc="Stuned After 1 Hit PL2">
    <script state="run">
      <action>maincpu.pb@0067A5=05</action>
    </script>
  </cheat>

  <cheat desc="Never Stuned PL2">
    <script state="run">
      <action>maincpu.pb@0067A5=00</action>
    </script>
  </cheat>

  <cheat desc="Set Wins = 1 Now! PL2">
    <script state="on">
      <action>maincpu.pb@00677F=01</action>
    </script>
  </cheat>

  <cheat desc="Set Wins = 0 Now! PL2">
    <script state="on">
      <action>maincpu.pb@00677F=00</action>
    </script>
  </cheat>

  <cheat desc="Select Character PL2">
    <parameter>
      <item value="0x00">Hellhound</item>
      <item value="0x01">Freon</item>
      <item value="0x02">Tempest</item>
      <item value="0x03">Tremor</item>
      <item value="0x04">Razor</item>
      <item value="0x05">Fallout</item>
      <item value="0x06">Mirage</item>
      <item value="0x07">Talon</item>
      <item value="0x08">Dementia</item>
      <item value="0x09">Golem</item>
      <item value="0x0A">Ratchet</item>
      <item value="0x0B">Wraith</item>
      <item value="0x0C">Sin</item>
      <item value="0x0D">Craniac</item>
      <item value="0x0E">Shadow</item>
      <item value="0x0F">Blood</item>
      <item value="0x10">Chainsaw</item>
      <item value="0x11">Nekron</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@00677E=param</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
